Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.boot
Class PNSBootstrapApp

    java.lang.Object
      rice.pastry.client.PastryAppl
          rice.pastry.boot.BootstrapApp
              rice.pastry.boot.PNSBootstrapApp

All Implemented Interfaces:
  LivenessListener<NodeHandle>, Bootstrapper

    public class PNSBootstrapApp

extends BootstrapApp

This does PNS before booting.

Author:
  Jeff Hoye

Field Summary

Fields inherited from class rice.pastry.client.PastryAppl
`address, deserializer, instance, logger, options, receiver, thePastryNode`

Fields inherited from interface org.mpisws.p2p.transport.liveness.LivenessListener
`LIVENESS_ALIVE, LIVENESS_DEAD, LIVENESS_DEAD_FOREVER, LIVENESS_SUSPECTED`

Constructor Summary
`PNSBootstrapApp(PastryNode pn, LivenessProvider<NodeHandle> livenessTL)`

Method Summary

Methods inherited from class rice.pastry.boot.BootstrapApp
`boot, livenessChanged, messageForAppl`

Methods inherited from class rice.pastry.client.PastryAppl
`accept, canReceiveSocket, connect, deliverWhenNotReady, destroy, enrouteMessage, finishReceiveSocket, getAddress, getDeserializer, getLeafSet, getNodeHandle, getNodeId, getRoutingTable, isClosest, leafSetChange, notifyReady, receiveMessage, receiveMessageInternal, register, routeMsg, routeMsgDirect, routeSetChange, setDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNSBootstrapApp

    public PNSBootstrapApp(PastryNode pn,
                           LivenessProvider<NodeHandle> livenessTL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.